## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.6.0
%bcond_without check

# https://github.com/go-task/task
%global goipath         github.com/go-task/task
Version:                3.39.2

%gometa

%global common_description %{expand:
A task runner / simpler Make alternative written in Go.}

%global golicenses      LICENSE
%global godocs          website CHANGELOG.md README.md

Name:           %{goname}
Release:        %autorelease
Summary:        A task runner / simpler Make alternative written in Go

License:        MIT
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg
%package -n go-task 
Summary: Provides the go-task task-runner binary 
%description -n go-task %{common_description}


%package doc
Summary: Extended documentation for %{name}
%description doc
%{common_description}
 .
 This package contains extended documentation for go-task.


%prep
%goprep
sed -i "s/unknown/v%{version}/" internal/version/version.go
sed -i "s/task-version\"\, expected\: \"unknown\"/task-version\"\, expected\: \"v%{version}\"/" task_test.go

%generate_buildrequires
%go_generate_buildrequires

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                        %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/task %{buildroot}%{_bindir}/go-task

%if %{with check}
%check
%gocheck
%endif

%files doc
%license LICENSE
%doc website

%files -n go-task
%license LICENSE
%doc CHANGELOG.md README.md
%{_bindir}/*

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Sun Nov 03 2024 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.39.2-2
- adjust spec to have compiled binary return correct version; close
  rhbz#2322459

* Thu Sep 19 2024 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.39.2-1
- update to v3.39.2, close rhbz#2313508

* Mon Sep 09 2024 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.39.0-1
- update to v3.39.0 (close rhbz#2310894) and add packit config

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.38.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 14 2024 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.38.0-1
- update to v3.38.0, close rhbz#2295493

* Sun Jun 23 2024 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.36.0-2
- rebuild for CVE-2024-4068, close rhbz#2280619

* Fri Apr 12 2024 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.36.0-1
- update to v3.36.0, close rhbz#2274076

* Wed Mar 06 2024 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.35.1-1
- update to v3.35.1, close rhbz#2266783

* Wed Mar 06 2024 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.35.0-1
- update to v3.35.0, close rhbz#2266783

* Sun Feb 11 2024 Maxwell G <maxwell@gtmx.me> - 3.34.1-2
- Rebuild for golang 1.22.0

* Sun Jan 28 2024 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.34.1-1
- update to v3.34.1, close rhbz#2219039

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.26.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.26.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.26.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jun 11 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.26.0-1
- bump to v3.26.0, close rhbz#2214041

* Tue May 23 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.25.0-1
- bump to v3.25.0, close rhbz#2209188

* Sun Apr 16 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.24.0-1
- bump to v3.24.0

* Mon Mar 27 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.23.0-2
- bump to v3.23.0 - now with sources

* Mon Mar 27 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.23.0-1
- bump to v3.23.0

* Sat Mar 11 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.22.0-1
- update to v3.22.0, close rhbz#2177369

* Fri Feb 24 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.21.0-1
- v3.21.0, close rhbz#2172748

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 3.20.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Jan 16 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.20.0-1
- version 3.20.0; rhbz#2161089

* Tue Jan 03 2023 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.19.1-1
- v3.19.1

* Tue Dec 06 2022 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.19.0-1
- upgrade to v3.19.0, close rhbz#2151069

* Fri Nov 18 2022 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.18.0-1
- update to v3.18.0

* Tue Oct 18 2022 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.17.0-1
- update to v3.17.0, close rhbz#2135017

* Fri Sep 30 2022 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.16.0-1
- Update to v3.16.0 (close rhbz#2131132)

* Tue Sep 20 2022 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.15.2-1
- Update to v3.15.2 (closes rhbz#2125765)

* Mon Sep 05 2022 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.15.0-1
- Update to v3.15.0 (close rhbz#2124118)

* Sat Aug 06 2022 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.14.1-1
- Update to v3.14.1 (close rhbz#2115368)

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.14.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Maxwell G <gotmax@e.email> - 3.14.0-3
- Rebuild for CVE-2022-{1705,32148,30631,30633,28131,30635,30632,30630,1962} in
  golang

* Sat Jul 09 2022 Maxwell G <gotmax@e.email> - 3.14.0-2
- Rebuild for CVE-2022-{24675,28327,29526 in golang}

* Sat Jul 09 2022 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.14.0-1
- Update to v3.14.0 (close rhbz#2105612)
- Reenable tests on recommendation of upstream

* Wed Jun 15 2022 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.13.0-1
- Update to v3.13.0
- Disable tests on recommendation of upstream

* Fri Jun 03 2022 Mark E. Fuller <mark.e.fuller@gmx.de> - 3.12.1-1
- Initial package

## END: Generated by rpmautospec
